extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "mk:stryker_layer1",
    "layer2": "mk:stryker_layer2",
    "gun": "mk:stryker_gun",
    "lights": "mk:stryker_lights",
    "cap": "mk:stryker_cap"
});

var utils = implement("fiskheroes:external/utils");

function init(renderer) {
    parent.init(renderer);
    renderer.setLights((entity, renderLayer) => renderLayer == "CHESTPLATE" ? "lights" : null);
    renderer.setTexture((entity, renderLayer) => renderLayer == "HELMET" ? "cap": renderLayer == "LEGGINGS" ? "layer2" : "layer1");

    renderer.showModel("CHESTPLATE", "head", "body", "rightArm", "leftArm");
}

function initEffects(renderer) {
    utils.addLivery(renderer, "DESERT_EAGLE", "gun");
    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "rightLeg", "scale": 0.7, "offset": [-2.5, 0.75, -0.5], "rotation": [110.0, 0.0, 0.0] },
        { "anchor": "leftLeg", "scale": 0.7, "offset": [2.5, 0.75, -0.5], "rotation": [110.0, 0.0, 0.0] }
    ]);
}

